Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### bezierDetail()
Examples |
    void setup() {
      size(100, 100, P3D);
      noFill();
      noLoop();
    }

    void draw() {
      bezierDetail(1);
      bezier(85, 20, 10, 10, 90, 90, 15, 80);
      stroke(126);
      bezierDetail(3);
      bezier(85, 20, 10, 10, 90, 90, 15, 80);
      stroke(255);
      bezierDetail(12);
      bezier(85, 20, 10, 10, 90, 90, 15, 80);
    }
Description | Sets the resolution at which Beziers display. The default value is 20. This function is only useful when using the P3D or OPENGL renderer as the default (JAVA2D) renderer does not use this information.
Syntax |
    bezierDetail(detail)
Parameters |
detail | int: resolution of the curves
Returns | None
Usage | Web & Application
Related | curve() curveVertex() curveTightness()

Updated on August 30, 2010 04:29:39pm EDT